%define Name	iguanaIR
%define rel	7

%define major	0
%define libname	%mklibname iguanair %major
%define devname	%mklibname iguanair -d

Summary:	IguanaWorks USB IR Transceiver driver
Name:		iguanair
Version:	1.1.0
Release:	%mkrel 0.gc6284e5.%rel
License:	GPLv2 and LGPLv2+
Group:		System/Kernel and hardware
URL:		http://iguanaworks.net/projects/IguanaIR/
# From git clone + ./make-dist.sh
# https://github.com/iguanaworks/iguanair/commit/c6284e5c07993db7adfa2729b7a3503224301572
Source:		iguanaIR-1.1.0-308-gc6284e5.tar.gz
Source3:	iguanair.logrotate
Patch0:		ignanair-detect-python-version.patch
BuildRequires:	cmake
BuildRequires:	pkgconfig(libusb)
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	libpopt-devel
BuildRequires:	pkgconfig(python3)
BuildRequires:	swig
Requires(post):	rpm-helper
Requires(preun): rpm-helper

%description
This package contains the driver daemon required for the operation
of the IguanaWorks USB IR Transceiver and the igclient test tool.

The IguanaWorks USB IR Transceiver is a simple USB device that can
communicate with most home electronics and remote controls via
infrared (IR). The transceiver can both send and receive IR codes,
and is fully compatible with LIRC under Linux. Unlike serial
devices, the USB transceiver does not require a kernel module, and
multiple transceivers can be in use at the same time. Each
transceiver can transmit on up to 4 independent channels.

%package -n python3-iguanair
Summary:	Python 3 bindings for iguanaIR
Group:		Development/Python
BuildRequires:	python3
BuildRequires:	python3-devel
%{?python_provide:%python_provide python3-iguanair}

%description -n python3-iguanair
Python 3 bindings for IguanaWorks USB IR Transceiver.

%package reflasher
Summary:	Reflasher for iguanaIR devices
Group:		System/Kernel and hardware
Requires:	python3-iguanair

%description reflasher
Firmware reflasher for IguanaWorks USB IR Transceiver.

%package -n %libname
Summary:	Shared library for iguanaIR devices
Group:		System/Libraries

%description -n %libname
This package contains the library needed to run programs dynamically
linked with libiguanair.

%package -n %devname
Summary:	Headers for iguanaIR development
Group:		Development/C
Requires:	%libname = %version
Provides:	iguanair-devel = %version-%release

%description -n %devname
This package contains the headers that programmers will need to develop
applications which will use libiguanair.

%prep
%setup -q -n iguanaIR-1.1.0-308-gc6284e5
%autopatch -p1

%build
%global _vpath_srcdir software/usb_ir/
%cmake -Wno-dev -DLIBDIR=%{_libdir}
%cmake_build

%install
%cmake_install

install -D -m644 %SOURCE3 %{buildroot}%{_sysconfdir}/logrotate.d/%name

# python shebangs
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{_datadir}/iguanaIR-reflasher/iguanaIR-reflasher

%pre
%_pre_useradd iguanair / /sbin/nologin

%post
%_post_service %Name
if [ "$1" = "1" ]; then
	 # apply new permissions from the added udev file
	/sbin/udevadm trigger --attr-match=manufacturer=IguanaWorks
fi

%preun
%_preun_service %Name

%postun
%_postun_userdel iguanair

%files
%doc README.md
%{_udevrulesdir}/80-%{Name}.rules
%config(noreplace) %{_sysconfdir}/logrotate.d/%name
%{_bindir}/igclient
%{_bindir}/igdaemon
%{_bindir}/iguanaIR-rescan
%{_libdir}/%{Name}/libusbdrv.so
%{_prefix}/lib/tmpfiles.d/%{name}.conf
%{_unitdir}/%{Name}.service
%{_sysconfdir}/default/%{Name}
%{_mandir}/man1/igclient.*
%{_mandir}/man1/iguanaIR-rescan.*
%{_mandir}/man8/igdaemon.*

%files -n python3-iguanair
%{python3_sitearch}/*%{Name}*
%{python3_sitearch}/__pycache__/*%{Name}*

%files reflasher
%{_bindir}/iguanaIR-reflasher
%{_datadir}/iguanaIR-reflasher
%{_mandir}/man1/iguanaIR-reflasher.*

%files -n %libname
%{_libdir}/libiguanaIR.so.%{major}{,.*}
%{_libdir}/libdirectIguanaIR.so.%{major}{,.*}

%files -n %devname
%{_libdir}/*.so
%{_includedir}/%{Name}.h


%changelog
* Sun Sep 11 2022 papoteur <papoteur> 1.1.0-0.gc6284e5.7.mga9
+ Revision: 1887234
- Fix detection of python: 3.10 was 3.1 installation path
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Fri Mar 26 2021 daviddavid <daviddavid> 1.1.0-0.gc6284e5.6.mga9
+ Revision: 1710335
- rebuild for python 3.9

* Mon Feb 24 2020 daviddavid <daviddavid> 1.1.0-0.gc6284e5.5.mga8
+ Revision: 1549731
- fix python shebangs
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sat Sep 21 2019 daviddavid <daviddavid> 1.1.0-0.gc6284e5.4.mga8
+ Revision: 1444369
- fix dependency

* Tue Sep 10 2019 wally <wally> 1.1.0-0.gc6284e5.3.mga8
+ Revision: 1439435
- rebuild for python3.8
- drop python2 support

* Wed Jan 09 2019 daviddavid <daviddavid> 1.1.0-0.gc6284e5.2.mga7
+ Revision: 1353061
- rebuild for new Python 3.7
- rename python-iguanair to python2-iguanair

* Tue Oct 16 2018 pterjan <pterjan> 1.1.0-0.gc6284e5.1.mga7
+ Revision: 1320663
- Fix libdir on i586
- Add missing BuildRequires on systemd devel
- Add a python3 package
- Update to recent git snapshot
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild
+ wally <wally>
- add patch to fix libdir/build on aarch64

* Mon Feb 08 2016 umeabot <umeabot> 0.99-2.svn959.14.mga6
+ Revision: 945186
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.99-2.svn959.13.mga5
+ Revision: 747494
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.99-2.svn959.12.mga5
+ Revision: 726482
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.99-1.svn959.12.mga5
+ Revision: 680475
- Mageia 5 Mass Rebuild

* Sat Jul 05 2014 pterjan <pterjan> 0.99-1.svn959.11.mga5
+ Revision: 643686
- Replace libusb*-devel BuildRequires by better ones

* Sat May 31 2014 pterjan <pterjan> 0.99-1.svn959.10.mga5
+ Revision: 628264
- Rebuild for new Python

* Fri Oct 18 2013 umeabot <umeabot> 0.99-1.svn959.9.mga4
+ Revision: 521056
- Mageia 4 Mass Rebuild

* Wed Jan 16 2013 fwang <fwang> 0.99-1.svn959.8.mga3
+ Revision: 388516
- correct udev rules dir
- correct udev rules dir

* Sat Jan 12 2013 umeabot <umeabot> 0.99-1.svn959.7.mga3
+ Revision: 354284
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 17 2011 misc <misc> 0.99-1.svn959.6.mga1
+ Revision: 21547
- rebuilt for new python
+ blino <blino>
- rename initscript
- remove old pre scriptlet
+ dmorgan <dmorgan>
- imported package iguanair


* Wed Jan 06 2010 Pascal Terjan <pterjan@mandriva.org> 0.99-1.svn959.4mdv2010.1
+ Revision: 486755
- Use bz2 compression to be backportable

* Sat Aug 15 2009 Anssi Hannula <anssi@mandriva.org> 0.99-1.svn959.3mdv2010.0
+ Revision: 416503
- adapt for dropped console.perms
- add iguanair user to usb group instead of video group on 2009.1 and
  earlier

* Sun Jul 26 2009 Anssi Hannula <anssi@mandriva.org> 0.99-1.svn959.2mdv2010.0
+ Revision: 400431
- do not try to make the usb device to be owned by iguanair with udev,
  as it would not work with console.perms; instead add iguanair to usb
  group

* Sat Jul 11 2009 Anssi Hannula <anssi@mandriva.org> 0.99-1.svn959.1mdv2010.0
+ Revision: 394856
- initial Mandriva release

